package com.sdtool.common.entity.mall;

import com.sdtool.common.entity.base.BaseEntity;
import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * @Author: xl Created on 2024-04-01
 * @Content: 商城广告位
 */
public class PosterLocation extends BaseEntity {

    @Comment("")
    @RColumn("id")
    @ApiPlace("PosterLocation_Edit")
    @ApiPlace("PosterLocation_Delete")
    @ApiPlace("PosterLocation_Get")
    private long id;

    @Comment("广告图地址")
    @RColumn("posterlocationimage")
    @ApiPlace("PosterLocation_Add")
    @ApiPlace("PosterLocation_Edit")
    private String posterLocationImage;

    @Comment("广告位置")
    @RColumn("posterlocation")
    @ApiPlace("PosterLocation_Add")
    @ApiPlace("PosterLocation_Edit")
    private String posterLocation;

    @Comment("点击链接")
    @RColumn("clicklinkurl")
    @ApiPlace("PosterLocation_Add")
    @ApiPlace("PosterLocation_Edit")
    private String clickLinkUrl;

    @Comment("排序")
    @RColumn("sortindex")
    @ApiPlace("PosterLocation_Add")
    @ApiPlace("PosterLocation_Edit")
    private int sortIndex;

    @Comment("名称")
    @RColumn("postername")
    @ApiPlace("PosterLocation_Add")
    @ApiPlace("PosterLocation_Edit")
    private String posterName;

    private String imageUrl;

    private String imageWebUrl;


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPosterLocationImage() {
        return posterLocationImage;
    }

    public void setPosterLocationImage(String posterLocationImage) {
        this.posterLocationImage = posterLocationImage;
    }

    public String getPosterLocation() {
        return posterLocation;
    }

    public void setPosterLocation(String posterLocation) {
        this.posterLocation = posterLocation;
    }

    public String getClickLinkUrl() {
        return clickLinkUrl;
    }

    public void setClickLinkUrl(String clickLinkUrl) {
        this.clickLinkUrl = clickLinkUrl;
    }

    public int getSortIndex() {
        return sortIndex;
    }

    public void setSortIndex(int sortIndex) {
        this.sortIndex = sortIndex;
    }

    public String getPosterName() {
        return posterName;
    }

    public void setPosterName(String posterName) {
        this.posterName = posterName;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getImageWebUrl() {
        return imageWebUrl;
    }

    public void setImageWebUrl(String imageWebUrl) {
        this.imageWebUrl = imageWebUrl;
    }
}
